package com.abbidot.tracker.ui.activity.account

import com.abbidot.tracker.ui.fragment.account.CreateAccountV2OneFragment
import com.abbidot.tracker.ui.fragment.account.CreateAccountV2ThreeFragment
import com.abbidot.tracker.ui.fragment.account.EmailValidFragment

/**
 *Created  by .yzq on 2024/8/2/002.
 * @link
 * @description:
 */
class CreateAccountV2Activity : AddEmailValidActivity() {

    override fun initData() {
        mEmailValidFragment = EmailValidFragment.newInstance(this, 1) {
            switchFragment(2)
        }.apply {
            mFragmentList.add(CreateAccountV2OneFragment.newInstance(this@CreateAccountV2Activity))
            mFragmentList.add(this)
            mFragmentList.add(CreateAccountV2ThreeFragment.newInstance(this@CreateAccountV2Activity))
        }
        super.initData()
    }
}